{% extends 'base.html' %} {% block content %} {% load markdownify %}
{% load resizer %}

<main class="recipe-detail">
  <div>
    <a href="{% url 'recipe_edit' recipe.id %}">Edit</a>
    <a href="{% url 'recipe_delete' recipe.id %}">Delete</a>
  </div>
  <div class="recipe-detail-more">
  {% if recipe.image %}
  <img src="{{ recipe.image }}" class="pull-right" />
  {% endif %}
  <div class="recipe-title">
  <h1>{{ recipe.name }}</h1>
  <h2>By {{recipe.author | default_if_none:"Unknown"}}</h1>
  <p>Created on {{ recipe.created }} | Updated on {{ recipe.updated }}</p>
  <p>Serves {{ recipe.servings }} </p>
  {% if recipe.servings %}
  <form method="GET">
    <div class="rating-form-grid">
      <input required type="number" name="servings">
      <button class="button">Resize</button>
    </div>
  </form>
  {% endif %}
  </div>
  <div class="recipe-info">
  <form method="post" action="{% url 'recipe_rating' recipe.id %}">
    {% csrf_token %}
    <div class="rating-form-grid">
      {{ rating_form.as_p }}
      <button class="button">Rate</button>
    </div>
  </form>
  <p>Tags: {% for tag in recipe.tags.all %}{{ tag.word }} {% endfor %}</p>
  {{ recipe.description | markdownify }}
  <h2>Ingredients</h2>
  <table>
    <thead>
      <tr>
        <th colspan="2">Amount</th>
        <th>Food item</th>
      </tr>
    </thead>
    <tbody>
      {% for ingredient in recipe.ingredients.all %}
      <tr>
        <td>{{ ingredient|resize_to:servings }}</td>
        <td>{{ ingredient.measure.name }}</td>
        <td>{{ ingredient.food.name }}</td>
        <td>
          {% if ingredient.food not in food_in_shopping_list %}
            <form method="POST" action="{% url 'shopping_items_create' %}">
              {% csrf_token %}
              <input type="hidden" name="ingredient_id" value="{{ ingredient.id }}">
              <button>+ shopping list</button>
            </form>
          {% else %}
            in your list
          {% endif %}
        </td>
      </tr>
      {% endfor %}
    </tbody>
  </table>
  <h2>Steps</h2>
  <ol>
    {% for step in recipe.steps.all %}
    <li>{{ step.directions }}</li>
    {% endfor %}
  </ol>
</div>
</div>
</main>

{% endblock content %}
